Updating LabKit

From YateBTS
(Redirected from Updating Labkit)
Jump to: navigation, search

YateBTS LabKit ships with Mageia 5 or Mageia 4 (older versions).

Check OS version

Issue the following command and the output should tell you which Mageia version you have:

>> cat /etc/issue
Mageia release 5 (Official) for x86_64
Kernel 3.19.8-desktop-3.mga5 on a Dual-processor x86_64 

Updating LabKit if you have Mageia 5

If you recently upgraded from Mageia 4...

The Mageia upgrade may have done some things that affect your Lab Kit installation that need to be corrected.

Restore the YateBTS entry in the RPM media database:

>> urpmi.removemedia YateBTS
>> urpmi.addmedia YateBTS http://repo.yatebts.com/mga5/x86_64 with media_info/hdlist.cz

Add this line to /etc/httpd/conf/httpd.conf, if it is not already there:

Listen 127.0.0.1:80

Now you can follow the normal Mageia 5 update procedure, below.

Update procedure for Mageia 5

Update repository:

>> urpmi.update YateBTS

See installed packages:

>> rpm -qa | grep yate

yate-bts-nibpc-5.0.1-devel616svn2.mga5
yate-common-1.5-1_r27.mga5
yate-gsm-5.5.1-devel6198svn1.mga5
yate-scripts-5.5.1-devel6198svn1.mga5
yate-bts-5.0.1-devel616svn2.mga5
yate-bladerf-5.5.1-devel6198svn1.mga5
yate-sdr-0.1-1_r116_r307.mga5
yate-5.5.1-devel6198svn1.mga5
yate-bts-roaming-5.0.1-devel616svn2.mga5
yate-bts-kit-1.0.5-7.mga5

Upgrade/install packages:

>> urpmi yate-bts-nipc yate-common yate-gsm yate-scripts yate-bts yate-bladerf yate-sdr yate yate-bts-roaming yate-bts-kit